const mongoose = require('mongoose')

const TransactionDraftSchema = mongoose.Schema({
  user_id: { type: mongoose.ObjectId, ref: 'User' },
  db_name: { type: String, enum: ['verity', 'panatech'] },
  description: String,
  items: { type: Array, default: [] }
})

module.exports = mongoose.model('TransactionDraft', TransactionDraftSchema)
